from data_fetcher import DataFetcher
from money_flow_analyzer import MoneyflowAnalyzer

if __name__ == "__main__":
    # 指定日期范围
    start_date = '20230912'
    end_date = None

    # 创建数据获取器实例
    data_fetcher = DataFetcher()

    # 获取板块资金流向数据
    # 可以通过force_update=True参数强制更新指定日期范围的数据
    df = data_fetcher.get_moneyflow_ind_dc(start_date, end_date, force_update=False)

    analyzer = MoneyflowAnalyzer()
    analyzer.main_flow_analyze(days_forward=2,use_consistent_samples=True)